VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Monitoring::IntervalType Class Reference
Inheritance diagram for Com::Vmware::Appliance::Monitoring::IntervalType:

## Avaliable Methods
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Monitoring::IntervalType` enumerated type Defines interval between the values in hours and mins, for which aggregation will apply Constant Com::Vmware::Appliance::Monitoring::IntervalType::MINUTE_S30 # Thirty minutes interval between values. One week is 336 values. Constant Com::Vmware::Appliance::Monitoring::IntervalType::HOUR_S2 # Two hours interval between values. One month has 360 values. Constant Com::Vmware::Appliance::Monitoring::IntervalType::MINUTE_S5 # Five minutes interval between values (finest). One day would have 288 values, one week is 2016. Constant Com::Vmware::Appliance::Monitoring::IntervalType::DA_Y1 # 24 hours interval between values. One year has 365 values. Constant Com::Vmware::Appliance::Monitoring::IntervalType::HOUR_S6 # Six hour interval between values. One quarter is 360 values.

## Member Function Documentation

public method Com::Vmware::Appliance::Monitoring::IntervalType::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Monitoring::IntervalType enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.appliance.monitoring.interval_type',
'binding_class' => 'Com::Vmware::Appliance::Monitoring::IntervalType');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Monitoring.pm